#functions used to test whether an embedded view can receive updated values through its parameters
def writeTest(outputTag):
	plantDict = {}
	plant = 'ap2'
	line = 'tst'
	try:
		data = int(system.tag.read(outputTag).value[plant][line]['stationCount']) + 1
	except:
		data = 0
	lineData = {'stationCount':data, 'groupPath':"ap201tst"}
	try:
		plantDict[plant][line] = lineData
	#plant doesn't exist, so define it and add the lineData
	except KeyError:
		plantDict[plant] = {line:lineData}
	output = system.util.jsonEncode(plantDict)
	system.tag.writeBlocking([outputTag],[output])






def writeTest2(outputTag):
	dict = {}
	try:
		data = int(system.tag.read(outputTag).value["object"]["01"]) + 1
	except:
		data = 0
	dict = {'object':{'01':data,'aa':data}}
	output = system.util.jsonEncode(dict)
	system.tag.writeBlocking([outputTag],[output])
